/*
 *  can.h
 *
 *  Created on: 07.07.2024
 *      Author: Hamza
 */

#ifndef INC_CAN_H
#define INC_CAN_H

#include "stm32f3xx_hal.h"
#include "main.h"
#include "can-halal.h"
#include "state_machine.h"

void can_init(CAN_HandleTypeDef* hcan);

void can_handle_send_status();

void can_handle_dump();

void can_handle_recieve_command(const uint8_t *data);

void ftcan_msg_received_cb(uint16_t id, size_t datalen, const uint8_t *data);

#endif /* "INC_CAN_H" */